Berkeley DB version 5.0.21

## com.sleepycat.db
Class LockStats

    java.lang.Object
      com.sleepycat.db.LockStats

    public class LockStats

extends Object

Lock statistics for a database environment.

Method Summary
`int` `getCurMaxId()` The current maximum unused locker ID.
`int` `getHashLen()` Maximum length of a lock hash bucket.
`int` `getId()` The last allocated locker ID.
`long` `getLockersNowait()` The number of requests to allocate or deallocate a locker for which the thread of control did not wait.
`long` `getLockersWait()` The number of requests to allocate or deallocate a locker for which the thread of control waited.
`long` `getLockNowait()` The number of lock requests not immediately available due to conflicts, for which the thread of control did not wait.
`long` `getLocksteals()` The maximum number of locks stolen by an empty partition.
`int` `getLockTimeout()` Lock timeout value.
`long` `getLockWait()` The number of lock requests not immediately available due to conflicts, for which the thread of control waited.
`int` `getMaxHlocks()` The maximum number of locks in any hash bucket at any one time.
`int` `getMaxHobjects()` The maximum number of objects in any hash bucket at any one time.
`int` `getMaxLockers()` The maximum number of lockers possible.
`int` `getMaxLocks()` The maximum number of locks possible.
`long` `getMaxLsteals()` The maximum number of lock steals for any one partition.
`int` `getMaxNlockers()` The maximum number of lockers at any one time.
`int` `getMaxNlocks()` The maximum number of locks at any one time.
`int` `getMaxNobjects()` The maximum number of lock objects at any one time.
`int` `getMaxObjects()` The maximum number of lock objects possible.
`long` `getMaxOsteals()` The maximum number of object steals for any one partition.
`int` `getNobjects()` The number of current lock objects.
`long` `getNumDeadlocks()` The number of deadlocks.
`long` `getNumDowngrade()` The total number of locks downgraded.
`int` `getNumLockers()` The number of current lockers.
`int` `getNumLocks()` The number of current locks.
`long` `getNumLockTimeouts()` The number of lock requests that have timed out.
`int` `getNumModes()` The number of lock modes.
`long` `getNumReleases()` The total number of locks released.
`long` `getNumRequests()` The total number of locks requested.
`long` `getNumTxnTimeouts()` The number of transactions that have timed out.
`long` `getNumUpgrade()` The total number of locks upgraded.
`long` `getObjectsteals()` The maximum number of objects stolen by an empty partition.
`long` `getObjsNowait()` The number of requests to allocate or deallocate an object for which the thread of control did not wait.
`long` `getObjsWait()` The number of requests to allocate or deallocate an object for which the thread of control waited.
`int` `getPartitions()` The number of lock table partitions.
`long` `getPartMaxNowait()` The number of times that a thread of control was able to obtain any one lock partition mutex without waiting.
`long` `getPartMaxWait()` The maximum number of times that a thread of control was forced to wait before obtaining any one lock partition mutex.
`long` `getPartNowait()` The number of times that a thread of control was able to obtain a lock partition mutex without waiting.
`long` `getPartWait()` The number of times that a thread of control was forced to wait before obtaining a lock partition mutex.
`long` `getRegionNowait()` The number of times that a thread of control was able to obtain the region lock without waiting.
`long` `getRegionWait()` The number of times that a thread of control was forced to wait before obtaining the region lock.
`int` `getRegSize()` The size of the lock region.
`int` `getTxnTimeout()` Transaction timeout value.
`String` `toString()` For convenience, the LockStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getId

    public int getId()

  The last allocated locker ID.

### getCurMaxId

    public int getCurMaxId()

  The current maximum unused locker ID.

### getMaxLocks

    public int getMaxLocks()

  The maximum number of locks possible.

### getMaxLockers

    public int getMaxLockers()

  The maximum number of lockers possible.

### getMaxObjects

    public int getMaxObjects()

  The maximum number of lock objects possible.

### getPartitions

    public int getPartitions()

  The number of lock table partitions.

### getNumModes

    public int getNumModes()

  The number of lock modes.

### getNumLockers

    public int getNumLockers()

  The number of current lockers.

### getNumLocks

    public int getNumLocks()

  The number of current locks.

### getMaxNlocks

    public int getMaxNlocks()

  The maximum number of locks at any one time. Note that if there is more than one partition, this is the sum of the maximum across all partitions.

### getMaxHlocks

    public int getMaxHlocks()

  The maximum number of locks in any hash bucket at any one time.

### getLocksteals

    public long getLocksteals()

  The maximum number of locks stolen by an empty partition.

### getMaxLsteals

    public long getMaxLsteals()

  The maximum number of lock steals for any one partition.

### getMaxNlockers

    public int getMaxNlockers()

  The maximum number of lockers at any one time.

### getNobjects

    public int getNobjects()

  The number of current lock objects.

### getMaxNobjects

    public int getMaxNobjects()

  The maximum number of lock objects at any one time. Note that if there is more than one partition this is the sum of the maximum across all partitions.

### getMaxHobjects

    public int getMaxHobjects()

  The maximum number of objects in any hash bucket at any one time.

### getObjectsteals

    public long getObjectsteals()

  The maximum number of objects stolen by an empty partition.

### getMaxOsteals

    public long getMaxOsteals()

  The maximum number of object steals for any one partition.

### getNumRequests

    public long getNumRequests()

  The total number of locks requested.

### getNumReleases

    public long getNumReleases()

  The total number of locks released.

### getNumUpgrade

    public long getNumUpgrade()

  The total number of locks upgraded.

### getNumDowngrade

    public long getNumDowngrade()

  The total number of locks downgraded.

### getLockWait

    public long getLockWait()

  The number of lock requests not immediately available due to conflicts, for which the thread of control waited.

### getLockNowait

    public long getLockNowait()

  The number of lock requests not immediately available due to conflicts, for which the thread of control did not wait.

### getNumDeadlocks

    public long getNumDeadlocks()

  The number of deadlocks.

### getLockTimeout

    public int getLockTimeout()

  Lock timeout value.

### getNumLockTimeouts

    public long getNumLockTimeouts()

  The number of lock requests that have timed out.

### getTxnTimeout

    public int getTxnTimeout()

  Transaction timeout value.

### getNumTxnTimeouts

    public long getNumTxnTimeouts()

  The number of transactions that have timed out. This value is also a component of st_ndeadlocks, the total number of deadlocks detected.

### getPartWait

    public long getPartWait()

  The number of times that a thread of control was forced to wait before obtaining a lock partition mutex.

### getPartNowait

    public long getPartNowait()

  The number of times that a thread of control was able to obtain a lock partition mutex without waiting.

### getPartMaxWait

    public long getPartMaxWait()

  The maximum number of times that a thread of control was forced to wait before obtaining any one lock partition mutex.

### getPartMaxNowait

    public long getPartMaxNowait()

  The number of times that a thread of control was able to obtain any one lock partition mutex without waiting.

### getObjsWait

    public long getObjsWait()

  The number of requests to allocate or deallocate an object for which the thread of control waited.

### getObjsNowait

    public long getObjsNowait()

  The number of requests to allocate or deallocate an object for which the thread of control did not wait.

### getLockersWait

    public long getLockersWait()

  The number of requests to allocate or deallocate a locker for which the thread of control waited.

### getLockersNowait

    public long getLockersNowait()

  The number of requests to allocate or deallocate a locker for which the thread of control did not wait.

### getRegionWait

    public long getRegionWait()

  The number of times that a thread of control was forced to wait before obtaining the region lock.

### getRegionNowait

    public long getRegionNowait()

  The number of times that a thread of control was able to obtain the region lock without waiting.

### getHashLen

    public int getHashLen()

  Maximum length of a lock hash bucket.

### getRegSize

    public int getRegSize()

  The size of the lock region.

### toString

    public String toString()

  For convenience, the LockStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

Berkeley DB version 5.0.21

Copyright (c) 1996, 2010 Oracle and/or its affiliates. All rights reserved.